package com.jy.business.capital.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.business.capital.model.dto.CapitalAccountDto;
import com.jy.business.capital.model.dto.CapitalAccountSelectDto;
import com.jy.business.capital.model.vo.CapitalAccountVo;

import java.util.List;

/**
 * <p>
 * 资金账户 服务类
 * </p>
 *
 * @author
 * @since 2024-10-16
 */
public interface CapitalAccountService {

    /**
     * 资金账户分页
     */
    Page<CapitalAccountVo> getPage(CapitalAccountSelectDto dto);

    /**
     * 资金账户明细
     */
    CapitalAccountVo getDetail(Long id);

    /**
     * 资金账户新增
     */
    void add(CapitalAccountDto dto);

    /**
     * 资金账户编辑
     */
    void edit(CapitalAccountDto dto);

    /**
     * 资金账户删除
     */
    void delete(List<Long> idList);

}
